Upgrade ArcGIS API JS from 3.17 to 3.28

241
1
04-03-2019 07:01 PM
WoraminSattayatharn1
New Contributor II

I would like to upgrade ArcGIS API JS version in one of my project from version 3.17 to latest version 3.28. However, my concern is upgrade from 3.17 to 3.28 might result in some old capabilities could'n't work.

Is it safe to upgrade to newer version? Or are there some references to compare between each version?

Thanks

0 Kudos
1 Reply
RobertScheitlin__GISP
MVP Esteemed Contributor

Woramin,

   The best thing to do is copy the app over to your development machine and change the API urls and see if anything breaks. I think you should be fine.

You can look at the JS API whats new site for each release and look at the breaking changes section:

https://developers.arcgis.com/javascript/3/jshelp/new_v319.html

3.19 is the only one listed with a breaking change

0 Kudos